dpkg-genchanges(1)

NAMN
dpkg-genchanges - skapa .changes-filer för Debian

SYNOPS
dpkg-genchanges [flaggor]

BESKRIVNING
dpkg-genchanges läser information från ett uppackat och byggt Debiankällkodsträd och från de filer det har genererat, och genererar en styrfil för insändning till Debian (.changes-fil).

FLAGGOR

-b, -B, -A
    Detta är ett rent binärbygge (inga källkodsfiler skall inkluderas). Det är ingen skillnad mellan -b, -B och -A, den .changes-fil som skapas innehåller alla filer som skapats av binary-*-målen i det byggda paketet.

-S  Anger att endast källkoden skall sändas in (inga binärpaket tas med).

Flaggorna -sx styr huruvida det ursprungliga källkodsarkivet skall inkluderas i insändningen om källkod genereras (dvs. -b eller -B inte har använts).

-si Som standard, eller om den anges, kommer originalkällkoden endast att inkluderas om uppströmsversionsnumret (versionsnumret utan epok och utan Debianuppdateringsnummer) skiljer sig från uppströmsversionsnumret i föregående ändringsloggspost.

-sa Bifogar alltid originalkällkoden.

-sd Bifogar inte originalkällkoden, utan enbart differensfilen.

-vversion
    Använder information från ändringsloggen för alla versioner som är strikt senare än version.

-Cändringsbeskrivning
    Läs beskrivningen av ändringarna från filen ändringsbeskrivning istället för att använda information från källkodsträdets changelog-fil.

-mpaketansvarige-adress
    Använd paketansvarige-adress som namn och e-postadress till ansvarig för detta paket, istället för att använda informationen från källkodsträdets control-fil.

-epaketansvarige-adress
    Använd paketansvarige-adress som namn och e-postadress till ansvarig för denna insändning, istället för att använda informationen från källkodsträdets changelog-fil.

-Vnamn=värde
    Ställer in en utdatasubstitueringsvariabel. Se deb-substvars(5) för en beskrivning av utdatasubstituering.

-Tsubstvars-fil
    Läs substitutionsvariabler från substvars-fil; standard är debian/substvars. Ingen variabelsubstitution utförs på något av fälten i utdata, men om den speciella variabeln Format anges kommer den överstyra fältet med samma namn.

-Dfält=värde
    Ersätt eller lägg till ett fält i den genererade control-filen.

-Ufält
    Ta bort ett fält ur den genererade control-filen.

-ccontrol-fil
    Anger huvudkällkodskontrollfilen som information skall läsas från. Standardvärdet är debian/control.

-ländringsloggfil
    Anger ändringsloggfilen som information skall läsas från. Standardvärdet är debian/changelog.

-ffillisfile
    Läser listan över filer som skall sändas in härifrån, istället för att använda debian/files.

-Fändringsloggformat
    Anger format på ändringsloggen. Som standard läses formatet från en speciell rad nära slutet av ändringsloggen, eller så används Debians standardformat om ingen information hittas.

-uinsändningskatalog
    Se efter filer som skall sändas in i insändningskatalog istället för .. (dpkg-genchanges måste kunna se dessa filer så att det kan lägga in deras storlekar och kontrollsummor i .changes-filen).

-q  dpkg-genchanges kommer normalt att generera informativa meddelanden på standard fel, till exempel om hur många pakets källkodsfiler sänds in. -q undertrycker dessa meddelanden.

-h, --help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FILER

debian/files
    Listan över genererade filer som är en del av den insändning som förbereds. dpkg-genchanges läser data här när .changes-filen skapas.

FÖRFATTARE
Upphovsrättsskyddat © 1995-1996 Ian Jackson
Upphovsrättsskyddat © 2000 Wichert Akkerman

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN GARANTI.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.